<head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
  <!-- Site Title, Description, Author, and Favicon -->
  {{- with .Title | default .Site.Title }}
  <title>{{ . }}</title>
  <meta property="og:title" content="{{ . }}" />
  <meta name="twitter:title" content="{{ . | truncate 70 }}" />
  {{- end }}
  {{- with .Description | default .Params.subtitle | default .Summary }}
  <meta name="description" content="{{ . }}">
  <meta property="og:description" content="{{ . }}">
  <meta name="twitter:description" content="{{ . | truncate 200 }}">
  {{- end }}
  <meta name="author" content="{{ .Site.Author.name }}" />
  {{- with .Site.Params.favicon }}
  <link href='{{ . | absURL }}' rel='icon' type='image/x-icon' />
  {{- end -}}
  <!-- Social Media Tags -->
  {{- with .Params.share_img | default .Params.image | default .Site.Params.logo }}
  <meta property="og:image" content="{{ . | absURL }}" />
  <meta name="twitter:image" content="{{ . | absURL }}" />
  {{- end }}
  <meta name="twitter:card" content="summary" />
  {{- with .Site.Author.twitter }}
  <meta name="twitter:site" content="@{{ . }}" />
  <meta name="twitter:creator" content="@{{ . }}" />
  {{- end }}
  {{- with .Site.Params.fb_app_id }}
  <meta property="fb:app_id" content="{{ . }}" />
  {{- end }}
  <meta property="og:type" content="website" />
  <meta property="og:site_name" content="{{ .Site.Title }}" />
  <!-- Links and stylesheets -->
  <link rel="alternate" href="{{ " index.xml" | absLangURL }}" type="application/rss+xml" title="{{ .Site.Title }}">
  <link rel="stylesheet" href="{{"css/bootstrap.min.css" | absURL }}" />
  <link rel="stylesheet" href="{{"css/fontawesome-all.css" | absURL }}" />
  <link rel="stylesheet" href="{{"css/katex-min.css" | absURL }}" />
  <link rel="stylesheet" href="{{"css/main.css" | absURL }}" />
  <link rel="stylesheet" href="{{"css/fonts-opensans.css" | absURL }}" />
  <link rel="stylesheet" href="{{"css/fonts-lora.css" | absURL }}" />
  <link rel="stylesheet" href="{{"css/pygment_highlights.css" | absURL }}" />
  <link rel="stylesheet" href="{{"css/highlight.min.css" | absURL }}" />
  {{- partial "head_custom.html" . }}
</head>